//----------------------------------------------------------------------------------------------------
//         ATMEL Microcontroller Software Support  -  ROUSSET  -
//----------------------------------------------------------------------------------------------------
// The software is delivered "AS IS" without warranty or condition of any
// kind, either express, implied or statutory. This includes without
// limitation any warranty or condition with respect to merchantability or
// fitness for any particular purpose, or against the infringements of
// intellectual property rights of others.
//----------------------------------------------------------------------------------------------------
// File Name: 	Board.h
// Object: 		AT91SAM7S Evaluation Board Features Definition File.
//
// Creation:	JPP   16/June/2004
//----------------------------------------------------------------------------------------------------
#ifndef Board_h
#define Board_h

#include "AT91SAM7S32.h"
#define __inline inline

#define true	-1
#define false	0

//-----------------------------------------------
// SAM7Board Memories Definition
//-----------------------------------------------
// The AT91SAM7S32 embeds a 8-Kbyte SRAM bank, and 32 K-Byte Flash

//#define  INT_SRAM			0x00200000
//#define  INT_SRAM_REMAP	0x00000000

//#define  INT_FLASH		0x00000000
//#define  INT_FLASH_REMAP	0x01000000

//#define  FLASH_PAGE_NB	256
//#define  FLASH_PAGE_SIZE	128

//------------------------
// Leds Definition
//------------------------
#define LED1			(1<<0)						// PA0
#define NB_LEB			1
#define LED_MASK		LED1

//-------------------------
// USART Definition
//-------------------------

//#define BAUD    	 9600                           /* Baud Rate */
#define BAUD    	38400                           /* Baud Rate */
#define US_RXD_PIN	AT91C_PA5_RXD0
#define US_TXD_PIN	AT91C_PA6_TXD0


//--------------
// Master Clock
//--------------
#define EXT_OC		18432000						// External oscillator MAINCK
#define MCK			48054841
#define MCKKHz		(MCK/1000)     					//


//--------------
// SPI Interface
//--------------
#define MOSI AT91C_PA13_MOSI
#define SCK AT91C_PA14_SPCK
#define SS AT91C_PA11_NPCS0
#define DCS AT91C_PIO_PA2

#define LCD_ENABLE AT91C_PIO_PA10
#define LCD_RESET_PIN AT91C_PIO_PA9
#define LCD_LIGHT AT91C_PIO_PA0

//--------------
// I2C Interface
//--------------

#define SCL AT91C_PA4_TWCK
#define SDA AT91C_PA3_TWD

//--------------
// Accelerometer Interface
//--------------
#define GS1 AT91C_PIO_PA15
#define GS2 AT91C_PIO_PA16
#define SLEEP AT91C_PIO_PA7

#define X_AXIS_PORT 5	//AD channel 5
#define Y_AXIS_PORT 0	//AD channel 0
#define Z_AXIS_PORT 1	//AD channel 1

#define YES 	1
#define NO		0


#endif   // Board_h
